Get All Signatures

Retrieve metadata for a list of signatures.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Library Examples

from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')

signatures = fulcrum.signatures.search(url_params={'form_id':'{id}'})

for signature in signatures['signatures']:
  # print(signature) # entire signature
  print(signature['access_key']) # just the signature key
const { Client } = require('fulcrum-app');
const client = new Client('{token}');

client.signatures.all({'form_id':'{id}'})
  .then((page) => {
    page.objects.forEach(signature => {
      // console.log(signature); // entire signature metadata
      console.log(signature.access_key); // just the signature key
    });
  })
  .catch((error) => {
    console.log(error.message);
  });
require 'fulcrum'

client = Fulcrum::Client.new('{token}')

signatures = client.signatures.all({'form_id':'{id}'})

for signature in signatures.objects do
  # puts signature # entire signature metadata
  puts signature['access_key'] # just the signature key
end
Query Params
string

The ID of the record with which the photo is associated.

string

The ID of the form with which the photo is associated. Leaving this blank will query against all of your photos.

boolean

If present, photos will be sorted by updated_at date.

boolean

Filter for signatures that have been completely processed.

boolean

Filter for signatures that have been completely stored.

boolean

Filter for signatures that have been completely uploaded.

int32
Defaults to 1

The page number requested.

int32
Defaults to 20000

The number of items to return per page.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json